Diff for /embedaddon/arping/src/Makefile.in between versions 1.1.1.1 and 1.1.1.3

version 1.1.1.1, 2012/02/21 22:16:27 version 1.1.1.3, 2021/03/16 23:40:57
Line 1 Line 1
# Makefile.in generated by automake 1.10.1 from Makefile.am.# Makefile.in generated by automake 1.16.1 from Makefile.am.
 # @configure_input@  # @configure_input@
   
# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,# Copyright (C) 1994-2018 Free Software Foundation, Inc.
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
 # This Makefile.in is free software; the Free Software Foundation  # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,  # gives unlimited permission to copy and/or distribute it,
 # with or without modifications, as long as this notice is preserved.  # with or without modifications, as long as this notice is preserved.
Line 17 Line 17
 # arping/src/Makefile.am  # arping/src/Makefile.am
   
 VPATH = @srcdir@  VPATH = @srcdir@
   am__is_gnu_make = { \
     if test -z '$(MAKELEVEL)'; then \
       false; \
     elif test -n '$(MAKE_HOST)'; then \
       true; \
     elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
       true; \
     else \
       false; \
     fi; \
   }
   am__make_running_with_option = \
     case $${target_option-} in \
         ?) ;; \
         *) echo "am__make_running_with_option: internal error: invalid" \
                 "target option '$${target_option-}' specified" >&2; \
            exit 1;; \
     esac; \
     has_opt=no; \
     sane_makeflags=$$MAKEFLAGS; \
     if $(am__is_gnu_make); then \
       sane_makeflags=$$MFLAGS; \
     else \
       case $$MAKEFLAGS in \
         *\\[\ \   ]*) \
           bs=\\; \
           sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
             | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
       esac; \
     fi; \
     skip_next=no; \
     strip_trailopt () \
     { \
       flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
     }; \
     for flg in $$sane_makeflags; do \
       test $$skip_next = yes && { skip_next=no; continue; }; \
       case $$flg in \
         *=*|--*) continue;; \
           -*I) strip_trailopt 'I'; skip_next=yes;; \
         -*I?*) strip_trailopt 'I';; \
           -*O) strip_trailopt 'O'; skip_next=yes;; \
         -*O?*) strip_trailopt 'O';; \
           -*l) strip_trailopt 'l'; skip_next=yes;; \
         -*l?*) strip_trailopt 'l';; \
         -[dEDm]) skip_next=yes;; \
         -[JT]) skip_next=yes;; \
       esac; \
       case $$flg in \
         *$$target_option*) has_opt=yes; break;; \
       esac; \
     done; \
     test $$has_opt = yes
   am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
 pkgdatadir = $(datadir)/@PACKAGE@  pkgdatadir = $(datadir)/@PACKAGE@
 pkglibdir = $(libdir)/@PACKAGE@  
 pkgincludedir = $(includedir)/@PACKAGE@  pkgincludedir = $(includedir)/@PACKAGE@
   pkglibdir = $(libdir)/@PACKAGE@
   pkglibexecdir = $(libexecdir)/@PACKAGE@
 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd  am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
 install_sh_DATA = $(install_sh) -c -m 644  install_sh_DATA = $(install_sh) -c -m 644
 install_sh_PROGRAM = $(install_sh) -c  install_sh_PROGRAM = $(install_sh) -c
Line 35  POST_UNINSTALL = : Line 91  POST_UNINSTALL = :
 build_triplet = @build@  build_triplet = @build@
 host_triplet = @host@  host_triplet = @host@
 target_triplet = @target@  target_triplet = @target@
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \  
         $(top_srcdir)/Makefile.am.common findif_bsd.c findif_linux.c \  
         findif_other.c  
 sbin_PROGRAMS = arping$(EXEEXT)  sbin_PROGRAMS = arping$(EXEEXT)
   noinst_PROGRAMS = fuzz_pingip$(EXEEXT)
   TESTS = arping_test$(EXEEXT)
   check_PROGRAMS = arping_test$(EXEEXT)
 subdir = src  subdir = src
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4  ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/configure.ac  am__aclocal_m4_deps = $(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \  am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
         $(ACLOCAL_M4)          $(ACLOCAL_M4)
   DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
 mkinstalldirs = $(install_sh) -d  mkinstalldirs = $(install_sh) -d
 CONFIG_HEADER = $(top_builddir)/config.h  CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =  CONFIG_CLEAN_FILES =
   CONFIG_CLEAN_VPATH_FILES =
 am__installdirs = "$(DESTDIR)$(sbindir)"  am__installdirs = "$(DESTDIR)$(sbindir)"
sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)PROGRAMS = $(noinst_PROGRAMS) $(sbin_PROGRAMS)
PROGRAMS = $(sbin_PROGRAMS)am_arping_OBJECTS = arping.$(OBJEXT) arping_main.$(OBJEXT) \
am_arping_OBJECTS = arping.$(OBJEXT)        unix.$(OBJEXT)
 arping_OBJECTS = $(am_arping_OBJECTS)  arping_OBJECTS = $(am_arping_OBJECTS)
 arping_DEPENDENCIES = $(LIBOBJS)  arping_DEPENDENCIES = $(LIBOBJS)
   am_arping_test_OBJECTS = arping.$(OBJEXT) arping_test.$(OBJEXT) \
           unix.$(OBJEXT) mock_libpcap.$(OBJEXT) mock_libnet.$(OBJEXT)
   arping_test_OBJECTS = $(am_arping_test_OBJECTS)
   arping_test_DEPENDENCIES = $(LIBOBJS)
   am_fuzz_pingip_OBJECTS = arping.$(OBJEXT) fuzz_pingip.$(OBJEXT) \
           unix.$(OBJEXT) mock_libpcap.$(OBJEXT) mock_libnet.$(OBJEXT)
   fuzz_pingip_OBJECTS = $(am_fuzz_pingip_OBJECTS)
   fuzz_pingip_DEPENDENCIES = $(LIBOBJS)
   AM_V_P = $(am__v_P_@AM_V@)
   am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
   am__v_P_0 = false
   am__v_P_1 = :
   AM_V_GEN = $(am__v_GEN_@AM_V@)
   am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
   am__v_GEN_0 = @echo "  GEN     " $@;
   am__v_GEN_1 = 
   AM_V_at = $(am__v_at_@AM_V@)
   am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
   am__v_at_0 = @
   am__v_at_1 = 
 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)  DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp  depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfilesam__maybe_remake_depfiles = depfiles
 am__depfiles_remade = $(DEPDIR)/findif_bsdroute.Po \
         $(DEPDIR)/findif_getifaddrs.Po $(DEPDIR)/findif_linux.Po \
         $(DEPDIR)/findif_other.Po $(DEPDIR)/findif_sysctl.Po \
         ./$(DEPDIR)/arping.Po ./$(DEPDIR)/arping_main.Po \
         ./$(DEPDIR)/arping_test.Po ./$(DEPDIR)/fuzz_pingip.Po \
         ./$(DEPDIR)/mock_libnet.Po ./$(DEPDIR)/mock_libpcap.Po \
         ./$(DEPDIR)/unix.Po
 am__mv = mv -f
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \  COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)          $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
   AM_V_CC = $(am__v_CC_@AM_V@)
   am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
   am__v_CC_0 = @echo "  CC      " $@;
   am__v_CC_1 = 
 CCLD = $(CC)  CCLD = $(CC)
 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@  LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(arping_SOURCES)AM_V_CCLD = $(am__v_CCLD_@AM_V@)
DIST_SOURCES = $(arping_SOURCES)am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
 am__v_CCLD_0 = @echo "  CCLD    " $@;
 am__v_CCLD_1 = 
 SOURCES = $(arping_SOURCES) $(arping_test_SOURCES) \
         $(fuzz_pingip_SOURCES)
 DIST_SOURCES = $(arping_SOURCES) $(arping_test_SOURCES) \
         $(fuzz_pingip_SOURCES)
 am__can_run_installinfo = \
   case $$AM_UPDATE_INFO_DIR in \
     n|no|NO) false;; \
     *) (install-info --version) >/dev/null 2>&1;; \
   esac
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 # Read a list of newline-separated strings from the standard input,
 # and print each of them once, without duplicates.  Input order is
 # *not* preserved.
 am__uniquify_input = $(AWK) '\
   BEGIN { nonempty = 0; } \
   { items[$$0] = 1; nonempty = 1; } \
   END { if (nonempty) { for (i in items) print i; }; } \
 '
 # Make sure the list of sources is unique.  This is necessary because,
 # e.g., the same source file might be shared among _SOURCES variables
 # for different programs/libraries.
 am__define_uniq_tagged_files = \
   list='$(am__tagged_files)'; \
   unique=`for i in $$list; do \
     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
   done | $(am__uniquify_input)`
 ETAGS = etags  ETAGS = etags
 CTAGS = ctags  CTAGS = ctags
   am__tty_colors_dummy = \
     mgn= red= grn= lgn= blu= brg= std=; \
     am__color_tests=no
   am__tty_colors = { \
     $(am__tty_colors_dummy); \
     if test "X$(AM_COLOR_TESTS)" = Xno; then \
       am__color_tests=no; \
     elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
       am__color_tests=yes; \
     elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
       am__color_tests=yes; \
     fi; \
     if test $$am__color_tests = yes; then \
       red=''; \
       grn=''; \
       lgn=''; \
       blu=''; \
       mgn=''; \
       brg=''; \
       std=''; \
     fi; \
   }
   am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
   am__vpath_adj = case $$p in \
       $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
       *) f=$$p;; \
     esac;
   am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
   am__install_max = 40
   am__nobase_strip_setup = \
     srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
   am__nobase_strip = \
     for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
   am__nobase_list = $(am__nobase_strip_setup); \
     for p in $$list; do echo "$$p $$p"; done | \
     sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
     $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
       if (++n[$$2] == $(am__install_max)) \
         { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
       END { for (dir in files) print dir, files[dir] }'
   am__base_list = \
     sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
     sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
   am__uninstall_files_from_dir = { \
     test -z "$$files" \
       || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
       || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
            $(am__cd) "$$dir" && rm -f $$files; }; \
     }
   am__recheck_rx = ^[     ]*:recheck:[    ]*
   am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
   am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
   # A command that, given a newline-separated list of test names on the
   # standard input, print the name of the tests that are to be re-run
   # upon "make recheck".
   am__list_recheck_tests = $(AWK) '{ \
     recheck = 1; \
     while ((rc = (getline line < ($$0 ".trs"))) != 0) \
       { \
         if (rc < 0) \
           { \
             if ((getline line2 < ($$0 ".log")) < 0) \
               recheck = 0; \
             break; \
           } \
         else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
           { \
             recheck = 0; \
             break; \
           } \
         else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
           { \
             break; \
           } \
       }; \
     if (recheck) \
       print $$0; \
     close ($$0 ".trs"); \
     close ($$0 ".log"); \
   }'
   # A command that, given a newline-separated list of test names on the
   # standard input, create the global log from their .trs and .log files.
   am__create_global_log = $(AWK) ' \
   function fatal(msg) \
   { \
     print "fatal: making $@: " msg | "cat >&2"; \
     exit 1; \
   } \
   function rst_section(header) \
   { \
     print header; \
     len = length(header); \
     for (i = 1; i <= len; i = i + 1) \
       printf "="; \
     printf "\n\n"; \
   } \
   { \
     copy_in_global_log = 1; \
     global_test_result = "RUN"; \
     while ((rc = (getline line < ($$0 ".trs"))) != 0) \
       { \
         if (rc < 0) \
            fatal("failed to read from " $$0 ".trs"); \
         if (line ~ /$(am__global_test_result_rx)/) \
           { \
             sub("$(am__global_test_result_rx)", "", line); \
             sub("[        ]*$$", "", line); \
             global_test_result = line; \
           } \
         else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
           copy_in_global_log = 0; \
       }; \
     if (copy_in_global_log) \
       { \
         rst_section(global_test_result ": " $$0); \
         while ((rc = (getline line < ($$0 ".log"))) != 0) \
         { \
           if (rc < 0) \
             fatal("failed to read from " $$0 ".log"); \
           print line; \
         }; \
         printf "\n"; \
       }; \
     close ($$0 ".trs"); \
     close ($$0 ".log"); \
   }'
   # Restructured Text title.
   am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
   # Solaris 10 'make', and several other traditional 'make' implementations,
   # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
   # by disabling -e (using the XSI extension "set +e") if it's set.
   am__sh_e_setup = case $$- in *e*) set +e;; esac
   # Default flags passed to test drivers.
   am__common_driver_flags = \
     --color-tests "$$am__color_tests" \
     --enable-hard-errors "$$am__enable_hard_errors" \
     --expect-failure "$$am__expect_failure"
   # To be inserted before the command running the test.  Creates the
   # directory for the log if needed.  Stores in $dir the directory
   # containing $f, in $tst the test, in $log the log.  Executes the
   # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
   # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
   # will run the test scripts (or their associated LOG_COMPILER, if
   # thy have one).
   am__check_pre = \
   $(am__sh_e_setup);                                      \
   $(am__vpath_adj_setup) $(am__vpath_adj)                 \
   $(am__tty_colors);                                      \
   srcdir=$(srcdir); export srcdir;                        \
   case "$@" in                                            \
     */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
       *) am__odir=.;;                                     \
   esac;                                                   \
   test "x$$am__odir" = x"." || test -d "$$am__odir"       \
     || $(MKDIR_P) "$$am__odir" || exit $$?;               \
   if test -f "./$$f"; then dir=./;                        \
   elif test -f "$$f"; then dir=;                          \
   else dir="$(srcdir)/"; fi;                              \
   tst=$$dir$$f; log='$@';                                 \
   if test -n '$(DISABLE_HARD_ERRORS)'; then               \
     am__enable_hard_errors=no;                            \
   else                                                    \
     am__enable_hard_errors=yes;                           \
   fi;                                                     \
   case " $(XFAIL_TESTS) " in                              \
     *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
       am__expect_failure=yes;;                            \
     *)                                                    \
       am__expect_failure=no;;                             \
   esac;                                                   \
   $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
   # A shell command to get the names of the tests scripts with any registered
   # extension removed (i.e., equivalently, the names of the test logs, with
   # the '.log' extension removed).  The result is saved in the shell variable
   # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
   # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
   # since that might cause problem with VPATH rewrites for suffix-less tests.
   # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
   am__set_TESTS_bases = \
     bases='$(TEST_LOGS)'; \
     bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
     bases=`echo $$bases`
   RECHECK_LOGS = $(TEST_LOGS)
   AM_RECURSIVE_TARGETS = check recheck
   TEST_SUITE_LOG = test-suite.log
   TEST_EXTENSIONS = @EXEEXT@ .test
   LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
   LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
   am__set_b = \
     case '$@' in \
       */*) \
         case '$*' in \
           */*) b='$*';; \
             *) b=`echo '$@' | sed 's/\.log$$//'`; \
          esac;; \
       *) \
         b='$*';; \
     esac
   am__test_logs1 = $(TESTS:=.log)
   am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
   TEST_LOGS = $(am__test_logs2:.test.log=.log)
   TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
   TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
           $(TEST_LOG_FLAGS)
   am__DIST_COMMON = $(srcdir)/Makefile.in \
           $(top_srcdir)/Makefile.am.common $(top_srcdir)/depcomp \
           $(top_srcdir)/test-driver findif_bsdroute.c \
           findif_getifaddrs.c findif_linux.c findif_other.c \
           findif_sysctl.c
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)  DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@  ACLOCAL = @ACLOCAL@
 AMTAR = @AMTAR@  AMTAR = @AMTAR@
   AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
 AUTOCONF = @AUTOCONF@  AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@  AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@  AUTOMAKE = @AUTOMAKE@
 AWK = @AWK@  AWK = @AWK@
 CC = @CC@  CC = @CC@
 CCDEPMODE = @CCDEPMODE@  CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@CFLAGS = @CFLAGS@ $(EXTRA_CFLAGS)
 CPP = @CPP@  CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@  CPPFLAGS = @CPPFLAGS@
 CYGPATH_W = @CYGPATH_W@  CYGPATH_W = @CYGPATH_W@
Line 103  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@ Line 431  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
 PACKAGE_NAME = @PACKAGE_NAME@  PACKAGE_NAME = @PACKAGE_NAME@
 PACKAGE_STRING = @PACKAGE_STRING@  PACKAGE_STRING = @PACKAGE_STRING@
 PACKAGE_TARNAME = @PACKAGE_TARNAME@  PACKAGE_TARNAME = @PACKAGE_TARNAME@
   PACKAGE_URL = @PACKAGE_URL@
 PACKAGE_VERSION = @PACKAGE_VERSION@  PACKAGE_VERSION = @PACKAGE_VERSION@
 PATH_SEPARATOR = @PATH_SEPARATOR@  PATH_SEPARATOR = @PATH_SEPARATOR@
 SET_MAKE = @SET_MAKE@  SET_MAKE = @SET_MAKE@
Line 151  pdfdir = @pdfdir@ Line 480  pdfdir = @pdfdir@
 prefix = @prefix@  prefix = @prefix@
 program_transform_name = @program_transform_name@  program_transform_name = @program_transform_name@
 psdir = @psdir@  psdir = @psdir@
   runstatedir = @runstatedir@
 sbindir = @sbindir@  sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@  sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@  srcdir = @srcdir@
Line 160  target_alias = @target_alias@ Line 490  target_alias = @target_alias@
 target_cpu = @target_cpu@  target_cpu = @target_cpu@
 target_os = @target_os@  target_os = @target_os@
 target_vendor = @target_vendor@  target_vendor = @target_vendor@
   top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@  top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@  top_srcdir = @top_srcdir@
   
 # arping/Makefile.am.common  # arping/Makefile.am.common
 AUTOMAKE_OPTIONS = foreign  AUTOMAKE_OPTIONS = foreign
 DISTCLEANFILES = *~  DISTCLEANFILES = *~
arping_SOURCES = arping.carping_SOURCES = arping.c arping_main.c unix.c
 arping_LDADD = $(LIBOBJS)  arping_LDADD = $(LIBOBJS)
   fuzz_pingip_SOURCES = arping.c fuzz_pingip.c unix.c mock_libpcap.c mock_libnet.c
   fuzz_pingip_LDADD = $(LIBOBJS)
   arping_test_SOURCES = arping.c arping_test.c unix.c mock_libpcap.c mock_libnet.c
   arping_test_LDADD = $(LIBOBJS) -lcheck -lpthread -lsubunit
 all: all-am  all: all-am
   
 .SUFFIXES:  .SUFFIXES:
.SUFFIXES: .c .o .obj.SUFFIXES: .c .log .o .obj .test .test$(EXEEXT) .trs
 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(am__configure_deps)  $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(am__configure_deps)
         @for dep in $?; do \          @for dep in $?; do \
           case '$(am__configure_deps)' in \            case '$(am__configure_deps)' in \
             *$$dep*) \              *$$dep*) \
              cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
                && exit 0; \                && { if test -f $@; then exit 0; else break; fi; }; \
               exit 1;; \                exit 1;; \
           esac; \            esac; \
         done; \          done; \
        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/Makefile'; \
        cd $(top_srcdir) && \        $(am__cd) $(top_srcdir) && \
          $(AUTOMAKE) --foreign  src/Makefile          $(AUTOMAKE) --foreign src/Makefile
.PRECIOUS: Makefile 
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status  Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
         @case '$?' in \          @case '$?' in \
           *config.status*) \            *config.status*) \
             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \              cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
           *) \            *) \
            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
         esac;          esac;
   $(top_srcdir)/Makefile.am.common $(am__empty):
   
 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)  $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh          cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
Line 201  $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__ Line 536  $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__
         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh          cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)  $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh          cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
   $(am__aclocal_m4_deps):
   
   clean-checkPROGRAMS:
           -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
   
   clean-noinstPROGRAMS:
           -test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
 install-sbinPROGRAMS: $(sbin_PROGRAMS)  install-sbinPROGRAMS: $(sbin_PROGRAMS)
         @$(NORMAL_INSTALL)          @$(NORMAL_INSTALL)
        test -z "$(sbindir)" || $(MKDIR_P) "$(DESTDIR)$(sbindir)"        @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
        @list='$(sbin_PROGRAMS)'; for p in $$list; do \        if test -n "$$list"; then \
          p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \          echo " $(MKDIR_P) '$(DESTDIR)$(sbindir)'"; \
          if test -f $$p \          $(MKDIR_P) "$(DESTDIR)$(sbindir)" || exit 1; \
          ; then \        fi; \
            f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \        for p in $$list; do echo "$$p $$p"; done | \
           echo " $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(sbindir)/$$f'"; \        sed 's/$(EXEEXT)$$//' | \
           $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(sbindir)/$$f" || exit 1; \        while read p p1; do if test -f $$p \
          else :; fi; \          ; then echo "$$p"; echo "$$p"; else :; fi; \
        done        done | \
         sed -e 'p;s,.*/,,;n;h' \
             -e 's|.*|.|' \
             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
         sed 'N;N;N;s,\n, ,g' | \
         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
             if ($$2 == $$4) files[d] = files[d] " " $$1; \
             else { print "f", $$3 "/" $$4, $$1; } } \
           END { for (d in files) print "f", d, files[d] }' | \
         while read type dir files; do \
             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
             test -z "$$files" || { \
               echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
               $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
             } \
         ; done
   
 uninstall-sbinPROGRAMS:  uninstall-sbinPROGRAMS:
         @$(NORMAL_UNINSTALL)          @$(NORMAL_UNINSTALL)
        @list='$(sbin_PROGRAMS)'; for p in $$list; do \        @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
          f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \        files=`for p in $$list; do echo "$$p"; done | \
          echo " rm -f '$(DESTDIR)$(sbindir)/$$f'"; \          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
          rm -f "$(DESTDIR)$(sbindir)/$$f"; \              -e 's/$$/$(EXEEXT)/' \
        done        `; \
         test -n "$$list" || exit 0; \
         echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
         cd "$(DESTDIR)$(sbindir)" && rm -f $$files
   
 clean-sbinPROGRAMS:  clean-sbinPROGRAMS:
         -test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)          -test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)
arping$(EXEEXT): $(arping_OBJECTS) $(arping_DEPENDENCIES) 
 arping$(EXEEXT): $(arping_OBJECTS) $(arping_DEPENDENCIES) $(EXTRA_arping_DEPENDENCIES) 
         @rm -f arping$(EXEEXT)          @rm -f arping$(EXEEXT)
        $(LINK) $(arping_OBJECTS) $(arping_LDADD) $(LIBS)        $(AM_V_CCLD)$(LINK) $(arping_OBJECTS) $(arping_LDADD) $(LIBS)
   
   arping_test$(EXEEXT): $(arping_test_OBJECTS) $(arping_test_DEPENDENCIES) $(EXTRA_arping_test_DEPENDENCIES) 
           @rm -f arping_test$(EXEEXT)
           $(AM_V_CCLD)$(LINK) $(arping_test_OBJECTS) $(arping_test_LDADD) $(LIBS)
   
   fuzz_pingip$(EXEEXT): $(fuzz_pingip_OBJECTS) $(fuzz_pingip_DEPENDENCIES) $(EXTRA_fuzz_pingip_DEPENDENCIES) 
           @rm -f fuzz_pingip$(EXEEXT)
           $(AM_V_CCLD)$(LINK) $(fuzz_pingip_OBJECTS) $(fuzz_pingip_LDADD) $(LIBS)
   
 mostlyclean-compile:  mostlyclean-compile:
         -rm -f *.$(OBJEXT)          -rm -f *.$(OBJEXT)
   
 distclean-compile:  distclean-compile:
         -rm -f *.tab.c          -rm -f *.tab.c
   
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/findif_bsd.Po@am__quote@@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/findif_bsdroute.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/findif_linux.Po@am__quote@@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/findif_getifaddrs.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/findif_other.Po@am__quote@@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/findif_linux.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/arping.Po@am__quote@@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/findif_other.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/findif_sysctl.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/arping.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/arping_main.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/arping_test.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fuzz_pingip.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mock_libnet.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mock_libpcap.Po@am__quote@ # am--include-marker
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unix.Po@am__quote@ # am--include-marker
   
   $(am__depfiles_remade):
           @$(MKDIR_P) $(@D)
           @echo '# dummy' >$@-t && $(am__mv) $@-t $@
   
   am--depfiles: $(am__depfiles_remade)
   
 .c.o:  .c.o:
@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<@am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po@am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@  @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@   $(COMPILE) -c $<@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
   
 .c.obj:  .c.obj:
@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`@am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
@am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po@am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@  @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
   
ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)ID: $(am__tagged_files)
        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \        $(am__define_uniq_tagged_files); mkid -fID $$unique
        unique=`for i in $$list; do \tags: tags-am
            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \TAGS: tags
          done | \ 
          $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \ 
              END { if (nonempty) { for (i in files) print i; }; }'`; \ 
        mkid -fID $$unique 
tags: TAGS 
   
TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
                $(TAGS_FILES) $(LISP)        set x; \
        tags=; \ 
         here=`pwd`; \          here=`pwd`; \
        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \        $(am__define_uniq_tagged_files); \
        unique=`for i in $$list; do \        shift; \
            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
          done | \ 
          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \ 
              END { if (nonempty) { for (i in files) print i; }; }'`; \ 
        if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \ 
           test -n "$$unique" || unique=$$empty_fix; \            test -n "$$unique" || unique=$$empty_fix; \
          $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \          if test $$# -gt 0; then \
            $$tags $$unique; \            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
               "$$@" $$unique; \
           else \
             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
               $$unique; \
           fi; \
         fi          fi
ctags: CTAGSctags: ctags-am
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
                $(TAGS_FILES) $(LISP)CTAGS: ctags
        tags=; \ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \        $(am__define_uniq_tagged_files); \
        unique=`for i in $$list; do \        test -z "$(CTAGS_ARGS)$$unique" \
            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ 
          done | \ 
          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \ 
              END { if (nonempty) { for (i in files) print i; }; }'`; \ 
        test -z "$(CTAGS_ARGS)$$tags$$unique" \ 
           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \            || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
             $$tags $$unique             $$unique
   
 GTAGS:  GTAGS:
         here=`$(am__cd) $(top_builddir) && pwd` \          here=`$(am__cd) $(top_builddir) && pwd` \
          && cd $(top_srcdir) \          && $(am__cd) $(top_srcdir) \
          && gtags -i $(GTAGS_ARGS) $$here          && gtags -i $(GTAGS_ARGS) "$$here"
 cscopelist: cscopelist-am
   
   cscopelist-am: $(am__tagged_files)
           list='$(am__tagged_files)'; \
           case "$(srcdir)" in \
             [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
             *) sdir=$(subdir)/$(srcdir) ;; \
           esac; \
           for i in $$list; do \
             if test -f "$$i"; then \
               echo "$(subdir)/$$i"; \
             else \
               echo "$$sdir/$$i"; \
             fi; \
           done >> $(top_builddir)/cscope.files
   
 distclean-tags:  distclean-tags:
         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags          -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
   
distdir: $(DISTFILES)# Recover from deleted '.trs' file; this should ensure that
 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
 # to avoid problems with "make -n".
 .log.trs:
         rm -f $< $@
         $(MAKE) $(AM_MAKEFLAGS) $<
 
 # Leading 'am--fnord' is there to ensure the list of targets does not
 # expand to empty, as could happen e.g. with make check TESTS=''.
 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
 am--force-recheck:
         @:
 
 $(TEST_SUITE_LOG): $(TEST_LOGS)
         @$(am__set_TESTS_bases); \
         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
         redo_bases=`for i in $$bases; do \
                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
                     done`; \
         if test -n "$$redo_bases"; then \
           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
           if $(am__make_dryrun); then :; else \
             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
           fi; \
         fi; \
         if test -n "$$am__remaking_logs"; then \
           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
                "recursion detected" >&2; \
         elif test -n "$$redo_logs"; then \
           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
         fi; \
         if $(am__make_dryrun); then :; else \
           st=0;  \
           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
           for i in $$redo_bases; do \
             test -f $$i.trs && test -r $$i.trs \
               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
             test -f $$i.log && test -r $$i.log \
               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
           done; \
           test $$st -eq 0 || exit 1; \
         fi
         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
         ws='[   ]'; \
         results=`for b in $$bases; do echo $$b.trs; done`; \
         test -n "$$results" || results=/dev/null; \
         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
           success=true; \
         else \
           success=false; \
         fi; \
         br='==================='; br=$$br$$br$$br$$br; \
         result_count () \
         { \
             if test x"$$1" = x"--maybe-color"; then \
               maybe_colorize=yes; \
             elif test x"$$1" = x"--no-color"; then \
               maybe_colorize=no; \
             else \
               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
             fi; \
             shift; \
             desc=$$1 count=$$2; \
             if test $$maybe_colorize = yes && test $$count -gt 0; then \
               color_start=$$3 color_end=$$std; \
             else \
               color_start= color_end=; \
             fi; \
             echo "$${color_start}# $$desc $$count$${color_end}"; \
         }; \
         create_testsuite_report () \
         { \
           result_count $$1 "TOTAL:" $$all   "$$brg"; \
           result_count $$1 "PASS: " $$pass  "$$grn"; \
           result_count $$1 "SKIP: " $$skip  "$$blu"; \
           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
           result_count $$1 "FAIL: " $$fail  "$$red"; \
           result_count $$1 "XPASS:" $$xpass "$$red"; \
           result_count $$1 "ERROR:" $$error "$$mgn"; \
         }; \
         {                                                               \
           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
             $(am__rst_title);                                           \
           create_testsuite_report --no-color;                           \
           echo;                                                         \
           echo ".. contents:: :depth: 2";                               \
           echo;                                                         \
           for b in $$bases; do echo $$b; done                           \
             | $(am__create_global_log);                                 \
         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
         if $$success; then                                              \
           col="$$grn";                                                  \
          else                                                           \
           col="$$red";                                                  \
           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
         fi;                                                             \
         echo "$${col}$$br$${std}";                                      \
         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
         echo "$${col}$$br$${std}";                                      \
         create_testsuite_report --maybe-color;                          \
         echo "$$col$$br$$std";                                          \
         if $$success; then :; else                                      \
           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
           fi;                                                           \
           echo "$$col$$br$$std";                                        \
         fi;                                                             \
         $$success || exit 1
 
 check-TESTS: $(check_PROGRAMS)
         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
         @set +e; $(am__set_TESTS_bases); \
         log_list=`for i in $$bases; do echo $$i.log; done`; \
         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
         exit $$?;
 recheck: all $(check_PROGRAMS)
         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
         @set +e; $(am__set_TESTS_bases); \
         bases=`for i in $$bases; do echo $$i; done \
                  | $(am__list_recheck_tests)` || exit 1; \
         log_list=`for i in $$bases; do echo $$i.log; done`; \
         log_list=`echo $$log_list`; \
         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
                 am__force_recheck=am--force-recheck \
                 TEST_LOGS="$$log_list"; \
         exit $$?
 arping_test.log: arping_test$(EXEEXT)
         @p='arping_test$(EXEEXT)'; \
         b='arping_test'; \
         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
         --log-file $$b.log --trs-file $$b.trs \
         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
         "$$tst" $(AM_TESTS_FD_REDIRECT)
 .test.log:
         @p='$<'; \
         $(am__set_b); \
         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
         --log-file $$b.log --trs-file $$b.trs \
         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
         "$$tst" $(AM_TESTS_FD_REDIRECT)
 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
 @am__EXEEXT_TRUE@       @p='$<'; \
 @am__EXEEXT_TRUE@       $(am__set_b); \
 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
 
 distdir: $(BUILT_SOURCES)
         $(MAKE) $(AM_MAKEFLAGS) distdir-am
 
 distdir-am: $(DISTFILES)
         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \          @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \          topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
         list='$(DISTFILES)'; \          list='$(DISTFILES)'; \
Line 316  distdir: $(DISTFILES) Line 871  distdir: $(DISTFILES)
           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \            if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
           if test -d $$d/$$file; then \            if test -d $$d/$$file; then \
             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \              dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
               if test -d "$(distdir)/$$file"; then \
                 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
               fi; \
             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \              if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
              cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
             fi; \              fi; \
            cp -pR $$d/$$file $(distdir)$$dir || exit 1; \            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
           else \            else \
            test -f $(distdir)/$$file \            test -f "$(distdir)/$$file" \
            || cp -p $$d/$$file $(distdir)/$$file \            || cp -p $$d/$$file "$(distdir)/$$file" \
             || exit 1; \              || exit 1; \
           fi; \            fi; \
         done          done
 check-am: all-am  check-am: all-am
           $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
           $(MAKE) $(AM_MAKEFLAGS) check-TESTS
 check: check-am  check: check-am
 all-am: Makefile $(PROGRAMS)  all-am: Makefile $(PROGRAMS)
 installdirs:  installdirs:
Line 343  install-am: all-am Line 904  install-am: all-am
   
 installcheck: installcheck-am  installcheck: installcheck-am
 install-strip:  install-strip:
        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \        if test -z '$(STRIP)'; then \
          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
          `test -z '$(STRIP)' || \            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install              install; \
         else \
           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
         fi
 mostlyclean-generic:  mostlyclean-generic:
           -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
           -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
           -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
   
 clean-generic:  clean-generic:
   
 distclean-generic:  distclean-generic:
         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)          -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
           -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)          -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
   
 maintainer-clean-generic:  maintainer-clean-generic:
Line 360  maintainer-clean-generic: Line 930  maintainer-clean-generic:
         @echo "it deletes files that may require special tools to rebuild."          @echo "it deletes files that may require special tools to rebuild."
 clean: clean-am  clean: clean-am
   
clean-am: clean-generic clean-sbinPROGRAMS mostlyclean-amclean-am: clean-checkPROGRAMS clean-generic clean-noinstPROGRAMS \
         clean-sbinPROGRAMS mostlyclean-am
   
 distclean: distclean-am  distclean: distclean-am
        -rm -rf $(DEPDIR) ./$(DEPDIR)                -rm -f $(DEPDIR)/findif_bsdroute.Po
         -rm -f $(DEPDIR)/findif_getifaddrs.Po
         -rm -f $(DEPDIR)/findif_linux.Po
         -rm -f $(DEPDIR)/findif_other.Po
         -rm -f $(DEPDIR)/findif_sysctl.Po
         -rm -f ./$(DEPDIR)/arping.Po
         -rm -f ./$(DEPDIR)/arping_main.Po
         -rm -f ./$(DEPDIR)/arping_test.Po
         -rm -f ./$(DEPDIR)/fuzz_pingip.Po
         -rm -f ./$(DEPDIR)/mock_libnet.Po
         -rm -f ./$(DEPDIR)/mock_libpcap.Po
         -rm -f ./$(DEPDIR)/unix.Po
         -rm -f Makefile          -rm -f Makefile
 distclean-am: clean-am distclean-compile distclean-generic \  distclean-am: clean-am distclean-compile distclean-generic \
         distclean-tags          distclean-tags
Line 374  dvi-am: Line 956  dvi-am:
   
 html: html-am  html: html-am
   
   html-am:
   
 info: info-am  info: info-am
   
 info-am:  info-am:
Line 382  install-data-am: Line 966  install-data-am:
   
 install-dvi: install-dvi-am  install-dvi: install-dvi-am
   
   install-dvi-am:
   
 install-exec-am: install-sbinPROGRAMS  install-exec-am: install-sbinPROGRAMS
   
 install-html: install-html-am  install-html: install-html-am
   
   install-html-am:
   
 install-info: install-info-am  install-info: install-info-am
   
   install-info-am:
   
 install-man:  install-man:
   
 install-pdf: install-pdf-am  install-pdf: install-pdf-am
   
   install-pdf-am:
   
 install-ps: install-ps-am  install-ps: install-ps-am
   
   install-ps-am:
   
 installcheck-am:  installcheck-am:
   
 maintainer-clean: maintainer-clean-am  maintainer-clean: maintainer-clean-am
        -rm -rf $(DEPDIR) ./$(DEPDIR)                -rm -f $(DEPDIR)/findif_bsdroute.Po
         -rm -f $(DEPDIR)/findif_getifaddrs.Po
         -rm -f $(DEPDIR)/findif_linux.Po
         -rm -f $(DEPDIR)/findif_other.Po
         -rm -f $(DEPDIR)/findif_sysctl.Po
         -rm -f ./$(DEPDIR)/arping.Po
         -rm -f ./$(DEPDIR)/arping_main.Po
         -rm -f ./$(DEPDIR)/arping_test.Po
         -rm -f ./$(DEPDIR)/fuzz_pingip.Po
         -rm -f ./$(DEPDIR)/mock_libnet.Po
         -rm -f ./$(DEPDIR)/mock_libpcap.Po
         -rm -f ./$(DEPDIR)/unix.Po
         -rm -f Makefile          -rm -f Makefile
 maintainer-clean-am: distclean-am maintainer-clean-generic  maintainer-clean-am: distclean-am maintainer-clean-generic
   
Line 415  ps-am: Line 1020  ps-am:
   
 uninstall-am: uninstall-sbinPROGRAMS  uninstall-am: uninstall-sbinPROGRAMS
   
.MAKE: install-am install-strip.MAKE: check-am install-am install-strip
   
.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
        clean-sbinPROGRAMS ctags distclean distclean-compile \        check-am clean clean-checkPROGRAMS clean-generic \
        distclean-generic distclean-tags distdir dvi dvi-am html \        clean-noinstPROGRAMS clean-sbinPROGRAMS cscopelist-am ctags \
        html-am info info-am install install-am install-data \        ctags-am distclean distclean-compile distclean-generic \
        install-data-am install-dvi install-dvi-am install-exec \        distclean-tags distdir dvi dvi-am html html-am info info-am \
        install-exec-am install-html install-html-am install-info \        install install-am install-data install-data-am install-dvi \
        install-info-am install-man install-pdf install-pdf-am \        install-dvi-am install-exec install-exec-am install-html \
        install-ps install-ps-am install-sbinPROGRAMS install-strip \        install-html-am install-info install-info-am install-man \
        installcheck installcheck-am installdirs maintainer-clean \        install-pdf install-pdf-am install-ps install-ps-am \
         install-sbinPROGRAMS install-strip installcheck \
         installcheck-am installdirs maintainer-clean \
         maintainer-clean-generic mostlyclean mostlyclean-compile \          maintainer-clean-generic mostlyclean mostlyclean-compile \
        mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \        mostlyclean-generic pdf pdf-am ps ps-am recheck tags tags-am \
        uninstall-am uninstall-sbinPROGRAMS        uninstall uninstall-am uninstall-sbinPROGRAMS
 
 .PRECIOUS: Makefile
 
   
 # Tell versions [3.59,3.63) of GNU make to not export all variables.  # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.  # Otherwise a system limit (for SysV at least) may be exceeded.

Removed from v.1.1.1.1  
changed lines
  Added in v.1.1.1.3


FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>